%define module pyusb
%define name 	python-%{module}
%define version 1.0.0b1
%define release %mkrel 1

Summary:        Python module to interface USB devices
Name:           %{name}
Version:        %{version}
Release:        %{release}
Source:         http://pyusb.berlios.de/%{module}-%{version}.tar.xz
License:        GPL
Group:          Development/Python
Summary:        Python module to interface USB devices
Url:            http://pyusb.berlios.de/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  python-devel libusb1-devel


%description
PyUSB is a native Python module written in C which provides USB access
for it. PyUSB uses the libusb to do its work, so, any system which has Python
and libusb should work for PyUSB.

%prep
%setup -n %{module}-%{version}

%build
python setup.py build

%install
python setup.py install --root=$RPM_BUILD_ROOT 

%clean
rm -rf "$RPM_BUILD_ROOT"

%files 
%defattr(-,root,root)
/*


%changelog
* Fri Aug 08 2014 gseaman <galen.seaman at comcast.net> 1.0.0b1-1gseaman2014
- 1.0.0b1

* Sun Aug 11 2013 billybot <billybot>
- update

* Thu Sep 02 2010 Texstar <texstar at gmail.com>
- rebuild for python 2.6.6
 
* Wed Jan 13 2010 slick50 <lxgator@gmail.com> 0.1.2-1pclos2010
- initial pkg

